diff --git a/doc/bash.ps b/doc/bash.ps
index 7a1f7eb6..e3a221b8 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -2135,144 +2138,144 @@ E(ugs})-.2 E(or)108 112.8 Q(cho)144 124.8 Q(wn root /usr/{ucb/{e)-.25 E
 (Brace e)108 141.6 R .618
 (xpansion introduces a slight incompatibility with historical v)-.15 F
 .618(ersions of)-.15 F/F1 10/Times-Bold@0 SF(sh)3.118 E F0(.)A F1(sh)
-5.618 E F0 .618(does not treat open-)3.118 F .248
-(ing or closing braces specially when the)108 153.6 R 2.748(ya)-.15 G
-.247(ppear as part of a w)-2.748 F .247(ord, and preserv)-.1 F .247
-(es them in the output.)-.15 F F1(Bash)5.247 E F0(remo)108 165.6 Q -.15
+5.618 E F0 .618(does not treat open-)3.118 F .247
+(ing or closing braces specially when the)108 153.6 R 2.747(ya)-.15 G
+.247(ppear as part of a w)-2.747 F .248(ord, and preserv)-.1 F .248
+(es them in the output.)-.15 F F1(Bash)5.248 E F0(remo)108 165.6 Q -.15
 (ve)-.15 G 3.53(sb).15 G 1.03(races from w)-3.53 F 1.03
 (ords as a consequence of brace e)-.1 F 3.53(xpansion. F)-.15 F 1.03
 (or e)-.15 F 1.03(xample, a w)-.15 F 1.03(ord entered to)-.1 F F1(sh)
 3.53 E F0(as)3.53 E/F2 10/Times-Italic@0 SF(\214le{1,2})108 177.6 Q F0
-.515(appears identically in the output.)3.015 F .515(The same w)5.515 F
-.515(ord is output as)-.1 F F2 .514(\214le1 \214le2)4.925 F F0 .514
-(after e)3.034 F .514(xpansion by)-.15 F F1(bash)3.014 E F0(.)A .436
+.514(appears identically in the output.)3.014 F .515(The same w)5.515 F
+.515(ord is output as)-.1 F F2 .515(\214le1 \214le2)4.925 F F0 .515
+(after e)3.035 F .515(xpansion by)-.15 F F1(bash)3.015 E F0(.)A .437
 (If strict compatibility with)108 189.6 R F1(sh)2.936 E F0 .436
 (is desired, start)2.936 F F1(bash)2.936 E F0 .436(with the)2.936 F F1
-(+B)2.936 E F0 .436(option or disable brace e)2.936 F .437
+(+B)2.936 E F0 .436(option or disable brace e)2.936 F .436
 (xpansion with the)-.15 F F1(+B)108 201.6 Q F0(option to the)2.5 E F1
 (set)2.5 E F0(command \(see)2.5 E/F3 9/Times-Bold@0 SF(SHELL B)2.5 E
 (UIL)-.09 E(TIN COMMANDS)-.828 E F0(belo)2.25 E(w\).)-.25 E F1 -.18(Ti)
-87 218.4 S(lde Expansion).18 E F0 1.087(If a w)108 230.4 R 1.087(ord be)
--.1 F 1.087(gins with an unquoted tilde character \(`)-.15 F F1(~)A F0
-1.086('\), all of the characters preceding the \214rst unquoted)B .185(\
+87 218.4 S(lde Expansion).18 E F0 1.086(If a w)108 230.4 R 1.086(ord be)
+-.1 F 1.086(gins with an unquoted tilde character \(`)-.15 F F1(~)A F0
+1.087('\), all of the characters preceding the \214rst unquoted)B .185(\
 slash \(or all characters, if there is no unquoted slash\) are consider\
 ed a)108 242.4 R F2(tilde-pr)2.685 E(e\214x)-.37 E F0 5.185(.I)C 2.685
-(fn)-5.185 G .185(one of the characters)-2.685 F .726(in the tilde-pre\
+(fn)-5.185 G .185(one of the characters)-2.685 F .725(in the tilde-pre\
 \214x are quoted, the characters in the tilde-pre\214x follo)108 254.4 R
-.725(wing the tilde are treated as a possible)-.25 F F2(lo)108 266.4 Q
-.522(gin name)-.1 F F0 5.522(.I)C 3.022(ft)-5.522 G .522
+.726(wing the tilde are treated as a possible)-.25 F F2(lo)108 266.4 Q
+.523(gin name)-.1 F F0 5.523(.I)C 3.023(ft)-5.523 G .523
 (his login name is the null string, the tilde is replaced with the v)
--3.022 F .523(alue of the shell parameter)-.25 F F3(HOME)108 278.4 Q/F4
-9/Times-Roman@0 SF(.)A F0(If)4.787 E F3(HOME)2.787 E F0 .287
-(is unset, the home directory of the user e)2.537 F -.15(xe)-.15 G .286
-(cuting the shell is substituted instead.).15 F(Other)5.286 E(-)-.2 E(w\
+-3.023 F .522(alue of the shell parameter)-.25 F F3(HOME)108 278.4 Q/F4
+9/Times-Roman@0 SF(.)A F0(If)4.786 E F3(HOME)2.786 E F0 .287
+(is unset, the home directory of the user e)2.536 F -.15(xe)-.15 G .287
+(cuting the shell is substituted instead.).15 F(Other)5.287 E(-)-.2 E(w\
 ise, the tilde-pre\214x is replaced with the home directory associated \
-with the speci\214ed login name.)108 290.4 Q .092
+with the speci\214ed login name.)108 290.4 Q .093
 (If the tilde-pre\214x is a `~+', the v)108 307.2 R .092
 (alue of the shell v)-.25 F(ariable)-.25 E F3(PWD)2.592 E F0 .092
-(replaces the tilde-pre\214x.)2.342 F .093(If the tilde-pre\214x is)
-5.093 F 3.404(a`)108 319.2 S .904(~\255', the v)-3.404 F .904
+(replaces the tilde-pre\214x.)2.342 F .092(If the tilde-pre\214x is)
+5.092 F 3.403(a`)108 319.2 S .903(~\255', the v)-3.403 F .903
 (alue of the shell v)-.25 F(ariable)-.25 E F3(OLDPWD)3.404 E F4(,)A F0
-.904(if it is set, is substituted.)3.154 F .903(If the characters follo)
-5.903 F .903(wing the)-.25 F 1.641
-(tilde in the tilde-pre\214x consist of a number)108 331.2 R F2(N)4.141
-E F0 4.142(,o)C 1.642(ptionally pre\214x)-4.142 F 1.642
-(ed by a `+' or a `\255', the tilde-pre\214x is)-.15 F 1.438(replaced w\
+.904(if it is set, is substituted.)3.154 F .904(If the characters follo)
+5.904 F .904(wing the)-.25 F 1.642
+(tilde in the tilde-pre\214x consist of a number)108 331.2 R F2(N)4.142
+E F0 4.142(,o)C 1.642(ptionally pre\214x)-4.142 F 1.641
+(ed by a `+' or a `\255', the tilde-pre\214x is)-.15 F 1.437(replaced w\
 ith the corresponding element from the directory stack, as it w)108
-343.2 R 1.437(ould be displayed by the)-.1 F F1(dirs)3.937 E F0 -.2(bu)
-108 355.2 S .454(iltin in).2 F -.2(vo)-.4 G -.1(ke).2 G 2.954(dw).1 G
-.454(ith the tilde-pre\214x as an ar)-2.954 F 2.954(gument. If)-.18 F
-.454(the characters follo)2.954 F .455
+343.2 R 1.438(ould be displayed by the)-.1 F F1(dirs)3.938 E F0 -.2(bu)
+108 355.2 S .455(iltin in).2 F -.2(vo)-.4 G -.1(ke).2 G 2.955(dw).1 G
+.455(ith the tilde-pre\214x as an ar)-2.955 F 2.954(gument. If)-.18 F
+.454(the characters follo)2.954 F .454
 (wing the tilde in the tilde-pre\214x)-.25 F
 (consist of a number without a leading `+' or `\255', `+' is assumed.)
 108 367.2 Q(If the login name is in)108 384 Q -.25(va)-.4 G
 (lid, or the tilde e).25 E(xpansion f)-.15 E(ails, the w)-.1 E
-(ord is unchanged.)-.1 E .167(Each v)108 400.8 R .167
+(ord is unchanged.)-.1 E .166(Each v)108 400.8 R .167
 (ariable assignment is check)-.25 F .167(ed for unquoted tilde-pre\214x)
 -.1 F .167(es immediately follo)-.15 F .167(wing a)-.25 F F1(:)2.667 E
-F0 .167(or the \214rst)2.667 F F1(=)2.666 E F0 5.166(.I)C(n)-5.166 E
-.281(these cases, tilde e)108 412.8 R .282(xpansion is also performed.)
+F0 .167(or the \214rst)2.667 F F1(=)2.667 E F0 5.167(.I)C(n)-5.167 E
+.282(these cases, tilde e)108 412.8 R .282(xpansion is also performed.)
 -.15 F(Consequently)5.282 E 2.782(,o)-.65 G .282
 (ne may use \214le names with tildes in assign-)-2.782 F(ments to)108
 424.8 Q F3 -.666(PA)2.5 G(TH)-.189 E F4(,)A F3(MAILP)2.25 E -.855(AT)
 -.666 G(H).855 E F4(,)A F0(and)2.25 E F3(CDP)2.5 E -.855(AT)-.666 G(H)
 .855 E F4(,)A F0(and the shell assigns the e)2.25 E(xpanded v)-.15 E
-(alue.)-.25 E F1 -.1(Pa)87 441.6 S(rameter Expansion).1 E F0 1.606
-(The `)108 453.6 R F1($)A F0 4.106('c)C 1.606
-(haracter introduces parameter e)-4.106 F 1.605
-(xpansion, command substitution, or arithmetic e)-.15 F 4.105
-(xpansion. The)-.15 F .406(parameter name or symbol to be e)108 465.6 R
-.407(xpanded may be enclosed in braces, which are optional b)-.15 F .407
-(ut serv)-.2 F 2.907(et)-.15 G 2.907(op)-2.907 G(ro-)-2.907 E .033
-(tect the v)108 477.6 R .033(ariable to be e)-.25 F .033
-(xpanded from characters immediately follo)-.15 F .032
+(alue.)-.25 E F1 -.1(Pa)87 441.6 S(rameter Expansion).1 E F0 1.605
+(The `)108 453.6 R F1($)A F0 4.105('c)C 1.605
+(haracter introduces parameter e)-4.105 F 1.606
+(xpansion, command substitution, or arithmetic e)-.15 F 4.106
+(xpansion. The)-.15 F .407(parameter name or symbol to be e)108 465.6 R
+.407(xpanded may be enclosed in braces, which are optional b)-.15 F .406
+(ut serv)-.2 F 2.906(et)-.15 G 2.906(op)-2.906 G(ro-)-2.906 E .032
+(tect the v)108 477.6 R .032(ariable to be e)-.25 F .032
+(xpanded from characters immediately follo)-.15 F .033
 (wing it which could be interpreted as part)-.25 F(of the name.)108
-489.6 Q 1.189
+489.6 Q 1.19
 (When braces are used, the matching ending brace is the \214rst `)108
-506.4 R F1(})A F0 3.69('n)C 1.19(ot escaped by a backslash or within a)
--3.69 F 2.15(quoted string, and not within an embedded arithmetic e)108
-518.4 R 2.15(xpansion, command substitution, or parameter)-.15 F -.15
-(ex)108 530.4 S(pansion.).15 E(${)108 547.2 Q F2(par)A(ameter)-.15 E F0
-(})A 1.204(The v)144 559.2 R 1.204(alue of)-.25 F F2(par)3.704 E(ameter)
--.15 E F0 1.204(is substituted.)3.704 F 1.204
-(The braces are required when)6.204 F F2(par)4.955 E(ameter)-.15 E F0
-1.205(is a positional)4.435 F .264
+506.4 R F1(})A F0 3.689('n)C 1.189
+(ot escaped by a backslash or within a)-3.689 F 2.15
+(quoted string, and not within an embedded arithmetic e)108 518.4 R 2.15
+(xpansion, command substitution, or parameter)-.15 F -.15(ex)108 530.4 S
+(pansion.).15 E(${)108 547.2 Q F2(par)A(ameter)-.15 E F0(})A 1.205
+(The v)144 559.2 R 1.205(alue of)-.25 F F2(par)3.705 E(ameter)-.15 E F0
+1.204(is substituted.)3.705 F 1.204(The braces are required when)6.204 F
+F2(par)4.954 E(ameter)-.15 E F0 1.204(is a positional)4.434 F .264
 (parameter with more than one digit, or when)144 571.2 R F2(par)4.014 E
 (ameter)-.15 E F0 .264(is follo)3.494 F .264
 (wed by a character which is not to)-.25 F
-(be interpreted as part of its name.)144 583.2 Q 1.508
+(be interpreted as part of its name.)144 583.2 Q 1.509
 (If the \214rst character of)108 600 R F2(par)4.009 E(ameter)-.15 E F0
 1.509(is an e)4.009 F 1.509(xclamation point, a le)-.15 F -.15(ve)-.25 G
-4.009(lo).15 G 4.009(fv)-4.009 G 1.509
-(ariable indirection is introduced.)-4.259 F F1(Bash)108 612 Q F0 .106
+4.009(lo).15 G 4.008(fv)-4.009 G 1.508
+(ariable indirection is introduced.)-4.258 F F1(Bash)108 612 Q F0 .106
 (uses the v)2.606 F .106(alue of the v)-.25 F .106
 (ariable formed from the rest of)-.25 F F2(par)2.606 E(ameter)-.15 E F0
 .106(as the name of the v)2.606 F .106(ariable; this v)-.25 F(ari-)-.25
-E .351(able is then e)108 624 R .351(xpanded and that v)-.15 F .352
+E .352(able is then e)108 624 R .352(xpanded and that v)-.15 F .351
 (alue is used in the rest of the substitution, rather than the v)-.25 F
-.352(alue of)-.25 F F2(par)2.852 E(ame-)-.15 E(ter)108 636 Q F0 2.52
-(itself. This)2.52 F .02(is kno)2.52 F .02(wn as)-.25 F F2(indir)2.52 E
-.02(ect e)-.37 F(xpansion)-.2 E F0 5.019(.T)C .019(he e)-5.019 F .019
-(xceptions to this are the e)-.15 F .019(xpansions of ${!)-.15 F F2(pr)A
-(e\214x)-.37 E F0 .019(*} and)B(${)108 648 Q F1(!)A F2(name)A F0([)A F2
-(@)A F0 .762(]} described belo)B 4.563 -.65(w. T)-.25 H .763(he e).65 F
-.763(xclamation point must immediately follo)-.15 F 3.263(wt)-.25 G .763
-(he left brace in order to)-3.263 F(introduce indirection.)108 660 Q
+.351(alue of)-.25 F F2(par)2.851 E(ame-)-.15 E(ter)108 636 Q F0 2.519
+(itself. This)2.519 F .019(is kno)2.519 F .019(wn as)-.25 F F2(indir)
+2.519 E .019(ect e)-.37 F(xpansion)-.2 E F0 5.019(.T)C .019(he e)-5.019
+F .02(xceptions to this are the e)-.15 F .02(xpansions of ${!)-.15 F F2
+(pr)A(e\214x)-.37 E F0 .02(*} and)B(${)108 648 Q F1(!)A F2(name)A F0([)A
+F2(@)A F0 .763(]} described belo)B 4.563 -.65(w. T)-.25 H .763(he e).65
+F .763(xclamation point must immediately follo)-.15 F 3.263(wt)-.25 G
+.763(he left brace in order to)-3.263 F(introduce indirection.)108 660 Q
 .334(In each of the cases belo)108 676.8 R -.65(w,)-.25 G F2(wor)3.484 E
 (d)-.37 E F0 .334(is subject to tilde e)2.834 F .334
 (xpansion, parameter e)-.15 F .334(xpansion, command substitution,)-.15
-F 1.417(and arithmetic e)108 688.8 R 3.918(xpansion. When)-.15 F 1.418
+F 1.418(and arithmetic e)108 688.8 R 3.918(xpansion. When)-.15 F 1.418
 (not performing substring e)3.918 F(xpansion,)-.15 E F1(bash)3.918 E F0
 1.418(tests for a parameter that is)3.918 F(unset or null; omitting the\
  colon results in a test only for a parameter that is unset.)108 700.8 Q
-(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(17)185.955 E 0 Cg EP
+(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(17)190.95 E 0 Cg EP
 %%Page: 18 18
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E(${)108 84 Q/F1 10/Times-Italic@0 SF(par)A(ameter)-.15 E/F2 10
-/Times-Bold@0 SF<3aad>A F1(wor)A(d)-.37 E F0(})A F2 .723(Use Default V)
-144 96 R(alues)-.92 E F0 5.723(.I)C(f)-5.723 E F1(par)4.473 E(ameter)
--.15 E F0 .723(is unset or null, the e)3.953 F .722(xpansion of)-.15 F
-F1(wor)3.562 E(d)-.37 E F0 .722(is substituted.)3.992 F(Other)5.722 E(-)
+/Times-Bold@0 SF<3aad>A F1(wor)A(d)-.37 E F0(})A F2 .722(Use Default V)
+144 96 R(alues)-.92 E F0 5.722(.I)C(f)-5.722 E F1(par)4.472 E(ameter)
+-.15 E F0 .723(is unset or null, the e)3.952 F .723(xpansion of)-.15 F
+F1(wor)3.563 E(d)-.37 E F0 .723(is substituted.)3.993 F(Other)5.723 E(-)
 -.2 E(wise, the v)144 108 Q(alue of)-.25 E F1(par)3.75 E(ameter)-.15 E
 F0(is substituted.)3.23 E(${)108 120 Q F1(par)A(ameter)-.15 E F2(:=)A F1
-(wor)A(d)-.37 E F0(})A F2 2.004(Assign Default V)144 132 R(alues)-.92 E
-F0 7.004(.I)C(f)-7.004 E F1(par)5.754 E(ameter)-.15 E F0 2.005
-(is unset or null, the e)5.234 F 2.005(xpansion of)-.15 F F1(wor)4.845 E
-(d)-.37 E F0 2.005(is assigned to)5.275 F F1(par)144 144 Q(ameter)-.15 E
-F0 5.279(.T).73 G .279(he v)-5.279 F .279(alue of)-.25 F F1(par)4.029 E
-(ameter)-.15 E F0 .278(is then substituted.)3.508 F .278
+(wor)A(d)-.37 E F0(})A F2 2.005(Assign Default V)144 132 R(alues)-.92 E
+F0 7.005(.I)C(f)-7.005 E F1(par)5.755 E(ameter)-.15 E F0 2.005
+(is unset or null, the e)5.235 F 2.004(xpansion of)-.15 F F1(wor)4.844 E
+(d)-.37 E F0 2.004(is assigned to)5.274 F F1(par)144 144 Q(ameter)-.15 E
+F0 5.278(.T).73 G .278(he v)-5.278 F .278(alue of)-.25 F F1(par)4.028 E
+(ameter)-.15 E F0 .278(is then substituted.)3.508 F .279
 (Positional parameters and special param-)5.278 F
 (eters may not be assigned to in this w)144 156 Q(ay)-.1 E(.)-.65 E(${)
 108 168 Q F1(par)A(ameter)-.15 E F2(:?)A F1(wor)A(d)-.37 E F0(})A F2
 .535(Display Err)144 180 R .535(or if Null or Unset)-.18 F F0 5.535(.I)C
 (f)-5.535 E F1(par)4.285 E(ameter)-.15 E F0 .535
 (is null or unset, the e)3.765 F .535(xpansion of)-.15 F F1(wor)3.035 E
-(d)-.37 E F0 .535(\(or a mes-)3.035 F .662(sage to that ef)144 192 R
-.662(fect if)-.25 F F1(wor)3.502 E(d)-.37 E F0 .661(is not present\) is\
- written to the standard error and the shell, if it is not)3.932 F
+(d)-.37 E F0 .535(\(or a mes-)3.035 F .661(sage to that ef)144 192 R
+.661(fect if)-.25 F F1(wor)3.501 E(d)-.37 E F0 .662(is not present\) is\
+ written to the standard error and the shell, if it is not)3.931 F
 (interacti)144 204 Q -.15(ve)-.25 G 2.5(,e).15 G 2.5(xits. Otherwise,)
 -2.65 F(the v)2.5 E(alue of)-.25 E F1(par)2.5 E(ameter)-.15 E F0
 (is substituted.)2.5 E(${)108 216 Q F1(par)A(ameter)-.15 E F2(:+)A F1
@@ -2282,97 +2285,97 @@ F0 5.279(.T).73 G .279(he v)-5.279 F .279(alue of)-.25 F F1(par)4.029 E
 (xpan-)-.15 E(sion of)144 240 Q F1(wor)2.84 E(d)-.37 E F0
 (is substituted.)3.27 E(${)108 252 Q F1(par)A(ameter)-.15 E F2(:)A F1
 (of)A(fset)-.18 E F0(})A(${)108 264 Q F1(par)A(ameter)-.15 E F2(:)A F1
-(of)A(fset)-.18 E F2(:)A F1(length)A F0(})A F2 .797
-(Substring Expansion.)144 276 R F0 .796(Expands to up to)5.797 F F1
+(of)A(fset)-.18 E F2(:)A F1(length)A F0(})A F2 .796
+(Substring Expansion.)144 276 R F0 .796(Expands to up to)5.796 F F1
 (length)3.296 E F0 .796(characters of)3.296 F F1(par)3.296 E(ameter)-.15
-E F0 .796(starting at the character)3.296 F .228(speci\214ed by)144 288
-R F1(of)2.728 E(fset)-.18 E F0 5.228(.I)C(f)-5.228 E F1(length)2.728 E
+E F0 .797(starting at the character)3.296 F .229(speci\214ed by)144 288
+R F1(of)2.729 E(fset)-.18 E F0 5.229(.I)C(f)-5.229 E F1(length)2.729 E
 F0 .229(is omitted, e)2.729 F .229(xpands to the substring of)-.15 F F1
-(par)2.729 E(ameter)-.15 E F0 .229(starting at the char)2.729 F(-)-.2 E
-.433(acter speci\214ed by)144 300 R F1(of)2.933 E(fset)-.18 E F0(.)A F1
+(par)2.729 E(ameter)-.15 E F0 .228(starting at the char)2.728 F(-)-.2 E
+.432(acter speci\214ed by)144 300 R F1(of)2.933 E(fset)-.18 E F0(.)A F1
 (length)5.433 E F0(and)2.933 E F1(of)2.933 E(fset)-.18 E F0 .433
 (are arithmetic e)2.933 F .433(xpressions \(see)-.15 F/F3 9/Times-Bold@0
-SF .432(ARITHMETIC EV)2.933 F(ALU-)-1.215 E -.855(AT)144 312 S(ION).855
-E F0(belo)2.576 E(w\).)-.25 E F1(length)5.326 E F0 .326(must e)2.826 F
+SF .433(ARITHMETIC EV)2.933 F(ALU-)-1.215 E -.855(AT)144 312 S(ION).855
+E F0(belo)2.577 E(w\).)-.25 E F1(length)5.327 E F0 .327(must e)2.827 F
 -.25(va)-.25 G .326(luate to a number greater than or equal to zero.).25
-F(If)5.327 E F1(of)2.827 E(fset)-.18 E F0 -.25(eva)2.827 G(luates).25 E
-.016(to a number less than zero, the v)144 324 R .015
+F(If)5.326 E F1(of)2.826 E(fset)-.18 E F0 -.25(eva)2.826 G(luates).25 E
+.015(to a number less than zero, the v)144 324 R .015
 (alue is used as an of)-.25 F .015(fset from the end of the v)-.25 F
-.015(alue of)-.25 F F1(par)2.515 E(ameter)-.15 E F0 5.015(.I)C(f)-5.015
+.016(alue of)-.25 F F1(par)2.516 E(ameter)-.15 E F0 5.016(.I)C(f)-5.016
 E F1(par)144 336 Q(ameter)-.15 E F0(is)3.25 E F2(@)3.25 E F0 3.25(,t)C
 .75(he result is)-3.25 F F1(length)3.25 E F0 .75
 (positional parameters be)3.25 F .75(ginning at)-.15 F F1(of)3.25 E
 (fset)-.18 E F0 5.75(.I)C(f)-5.75 E F1(par)3.25 E(ameter)-.15 E F0 .75
-(is an)3.25 F 1.835(array name inde)144 348 R -.15(xe)-.15 G 4.335(db)
-.15 G 4.335(y@o)-4.335 G 4.335(r*)-4.335 G 4.335(,t)-4.335 G 1.835
-(he result is the)-4.335 F F1(length)4.335 E F0 1.834
-(members of the array be)4.335 F 1.834(ginning with)-.15 F(${)144 360 Q
-F1(par)A(ameter)-.15 E F0([)A F1(of)A(fset)-.18 E F0 2.61(]}. A)B(ne)
-2.61 E -.05(ga)-.15 G(ti).05 E -.15(ve)-.25 G F1(of)2.76 E(fset)-.18 E
-F0 .111(is tak)2.61 F .111(en relati)-.1 F .411 -.15(ve t)-.25 H 2.611
-(oo).15 G .111(ne greater than the maximum inde)-2.611 F 2.611(xo)-.15 G
-(f)-2.611 E .92(the speci\214ed array)144 372 R 5.92(.N)-.65 G .92
+(is an)3.25 F 1.834(array name inde)144 348 R -.15(xe)-.15 G 4.334(db)
+.15 G 4.334(y@o)-4.334 G 4.335(r*)-4.334 G 4.335(,t)-4.335 G 1.835
+(he result is the)-4.335 F F1(length)4.335 E F0 1.835
+(members of the array be)4.335 F 1.835(ginning with)-.15 F(${)144 360 Q
+F1(par)A(ameter)-.15 E F0([)A F1(of)A(fset)-.18 E F0 2.611(]}. A)B(ne)
+2.611 E -.05(ga)-.15 G(ti).05 E -.15(ve)-.25 G F1(of)2.761 E(fset)-.18 E
+F0 .111(is tak)2.611 F .111(en relati)-.1 F .411 -.15(ve t)-.25 H 2.611
+(oo).15 G .11(ne greater than the maximum inde)-2.611 F 2.61(xo)-.15 G
+(f)-2.61 E .92(the speci\214ed array)144 372 R 5.92(.N)-.65 G .92
 (ote that a ne)-5.92 F -.05(ga)-.15 G(ti).05 E 1.22 -.15(ve o)-.25 H
 -.25(ff).15 G .92(set must be separated from the colon by at least one)
-.25 F .64(space to a)144 384 R -.2(vo)-.2 G .641
+.25 F .641(space to a)144 384 R -.2(vo)-.2 G .641
 (id being confused with the :- e).2 F 3.141(xpansion. Substring)-.15 F
-(inde)3.141 E .641(xing is zero-based unless the)-.15 F .299
+(inde)3.141 E .64(xing is zero-based unless the)-.15 F .299
 (positional parameters are used, in which case the inde)144 396 R .299
 (xing starts at 1 by def)-.15 F 2.799(ault. If)-.1 F F1(of)2.799 E(fset)
--.18 E F0 .298(is 0, and)2.799 F(the positional parameters are used,)144
+-.18 E F0 .299(is 0, and)2.799 F(the positional parameters are used,)144
 408 Q F2($0)2.5 E F0(is pre\214x)2.5 E(ed to the list.)-.15 E(${)108
 424.8 Q F2(!)A F1(pr)A(e\214x)-.37 E F2(*)A F0(})A(${)108 436.8 Q F2(!)A
 F1(pr)A(e\214x)-.37 E F2(@)A F0(})A .42(Expands to the names of v)144
 448.8 R .42(ariables whose names be)-.25 F .42(gin with)-.15 F F1(pr)
 2.92 E(e\214x)-.37 E F0 2.92(,s)C .42(eparated by the \214rst character)
--2.92 F .099(of the)144 460.8 R F3(IFS)2.599 E F0 .099(special v)2.349 F
-2.599(ariable. When)-.25 F F1(@)2.599 E F0 .098(is used and the e)2.599
-F .098(xpansion appears within double quotes, each)-.15 F -.25(va)144
+-2.92 F .098(of the)144 460.8 R F3(IFS)2.598 E F0 .098(special v)2.348 F
+2.598(ariable. When)-.25 F F1(@)2.598 E F0 .099(is used and the e)2.598
+F .099(xpansion appears within double quotes, each)-.15 F -.25(va)144
 472.8 S(riable name e).25 E(xpands to a separate w)-.15 E(ord.)-.1 E(${)
 108 489.6 Q F2(!)A F1(name)A F0([)A F1(@)A F0(]})A(${)108 501.6 Q F2(!)A
-F1(name)A F0([)A F1(*)A F0(]})A(If)144 513.6 Q F1(name)2.921 E F0 .421
-(is an array v)2.921 F .421(ariable, e)-.25 F .421
+F1(name)A F0([)A F1(*)A F0(]})A(If)144 513.6 Q F1(name)2.922 E F0 .421
+(is an array v)2.922 F .421(ariable, e)-.25 F .421
 (xpands to the list of array indices \(k)-.15 F -.15(ey)-.1 G .421
-(s\) assigned in).15 F F1(name)2.921 E F0 5.422(.I)C(f)-5.422 E F1(name)
-2.922 E F0 .238(is not an array)144 525.6 R 2.738(,e)-.65 G .238
-(xpands to 0 if)-2.888 F F1(name)2.738 E F0 .237
-(is set and null otherwise.)2.738 F(When)5.237 E F1(@)2.737 E F0 .237
-(is used and the e)2.737 F(xpansion)-.15 E
+(s\) assigned in).15 F F1(name)2.921 E F0 5.421(.I)C(f)-5.421 E F1(name)
+2.921 E F0 .237(is not an array)144 525.6 R 2.737(,e)-.65 G .237
+(xpands to 0 if)-2.887 F F1(name)2.737 E F0 .238
+(is set and null otherwise.)2.737 F(When)5.238 E F1(@)2.738 E F0 .238
+(is used and the e)2.738 F(xpansion)-.15 E
 (appears within double quotes, each k)144 537.6 Q .3 -.15(ey ex)-.1 H
 (pands to a separate w).15 E(ord.)-.1 E(${)108 554.4 Q F2(#)A F1(par)A
-(ameter)-.15 E F0(})A 1.391(The length in characters of the v)144 566.4
+(ameter)-.15 E F0(})A 1.392(The length in characters of the v)144 566.4
 R 1.392(alue of)-.25 F F1(par)3.892 E(ameter)-.15 E F0 1.392
 (is substituted.)3.892 F(If)6.392 E F1(par)5.142 E(ameter)-.15 E F0(is)
-4.622 E F2(*)3.892 E F0(or)3.892 E F2(@)3.892 E F0 3.892(,t)C(he)-3.892
-E -.25(va)144 578.4 S 1.749
+4.622 E F2(*)3.891 E F0(or)3.891 E F2(@)3.891 E F0 3.891(,t)C(he)-3.891
+E -.25(va)144 578.4 S 1.748
 (lue substituted is the number of positional parameters.).25 F(If)6.749
-E F1(par)5.498 E(ameter)-.15 E F0 1.748(is an array name sub-)4.978 F
+E F1(par)5.499 E(ameter)-.15 E F0 1.749(is an array name sub-)4.979 F
 (scripted by)144 590.4 Q F2(*)2.5 E F0(or)2.5 E F2(@)2.5 E F0 2.5(,t)C
 (he v)-2.5 E(alue substituted is the number of elements in the array)
 -.25 E(.)-.65 E(${)108 607.2 Q F1(par)A(ameter)-.15 E F2(#)A F1(wor)A(d)
 -.37 E F0(})A(${)108 619.2 Q F1(par)A(ameter)-.15 E F2(##)A F1(wor)A(d)
--.37 E F0(})A(The)144 631.2 Q F1(wor)3.33 E(d)-.37 E F0 .49(is e)3.76 F
-.491(xpanded to produce a pattern just as in pathname e)-.15 F 2.991
-(xpansion. If)-.15 F .491(the pattern matches)2.991 F .412(the be)144
-643.2 R .412(ginning of the v)-.15 F .411(alue of)-.25 F F1(par)2.911 E
+-.37 E F0(})A(The)144 631.2 Q F1(wor)3.331 E(d)-.37 E F0 .491(is e)3.761
+F .491(xpanded to produce a pattern just as in pathname e)-.15 F 2.99
+(xpansion. If)-.15 F .49(the pattern matches)2.99 F .411(the be)144
+643.2 R .411(ginning of the v)-.15 F .411(alue of)-.25 F F1(par)2.911 E
 (ameter)-.15 E F0 2.911(,t).73 G .411(hen the result of the e)-2.911 F
-.411(xpansion is the e)-.15 F .411(xpanded v)-.15 F .411(alue of)-.25 F
+.411(xpansion is the e)-.15 F .412(xpanded v)-.15 F .412(alue of)-.25 F
 F1(par)145.25 655.2 Q(ameter)-.15 E F0 .607
-(with the shortest matching pattern \(the `)3.837 F(`)-.74 E F2(#)A F0
+(with the shortest matching pattern \(the `)3.838 F(`)-.74 E F2(#)A F0
 2.087 -.74('' c)D .607(ase\) or the longest matching pattern \(the).74 F
--.74(``)144 667.2 S F2(##).74 E F0 1.654 -.74('' c)D .174
-(ase\) deleted.).74 F(If)5.174 E F1(par)3.924 E(ameter)-.15 E F0(is)
-3.404 E F2(@)2.674 E F0(or)2.674 E F2(*)2.674 E F0 2.674(,t)C .173
-(he pattern remo)-2.674 F -.25(va)-.15 G 2.673(lo).25 G .173
-(peration is applied to each posi-)-2.673 F .654
+-.74(``)144 667.2 S F2(##).74 E F0 1.653 -.74('' c)D .173
+(ase\) deleted.).74 F(If)5.173 E F1(par)3.923 E(ameter)-.15 E F0(is)
+3.403 E F2(@)2.673 E F0(or)2.673 E F2(*)2.673 E F0 2.674(,t)C .174
+(he pattern remo)-2.674 F -.25(va)-.15 G 2.674(lo).25 G .174
+(peration is applied to each posi-)-2.674 F .655
 (tional parameter in turn, and the e)144 679.2 R .654
-(xpansion is the resultant list.)-.15 F(If)5.655 E F1(par)4.405 E
-(ameter)-.15 E F0 .655(is an array v)3.885 F(ariable)-.25 E .651
-(subscripted with)144 691.2 R F2(@)3.151 E F0(or)3.151 E F2(*)3.151 E F0
-3.151(,t)C .651(he pattern remo)-3.151 F -.25(va)-.15 G 3.151(lo).25 G
-.65(peration is applied to each member of the array in)-3.151 F
+(xpansion is the resultant list.)-.15 F(If)5.654 E F1(par)4.404 E
+(ameter)-.15 E F0 .654(is an array v)3.884 F(ariable)-.25 E .65
+(subscripted with)144 691.2 R F2(@)3.15 E F0(or)3.15 E F2(*)3.15 E F0
+3.15(,t)C .65(he pattern remo)-3.15 F -.25(va)-.15 G 3.151(lo).25 G .651
+(peration is applied to each member of the array in)-3.151 F
 (turn, and the e)144 703.2 Q(xpansion is the resultant list.)-.15 E
-(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(18)185.955 E 0 Cg EP
+(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(18)190.95 E 0 Cg EP
 %%Page: 19 19
 %%BeginPageSetup
 BP
@@ -2381,25 +2384,25 @@ BP
 -.35 E(${)108 84 Q/F1 10/Times-Italic@0 SF(par)A(ameter)-.15 E/F2 10
 /Times-Bold@0 SF(%)A F1(wor)A(d)-.37 E F0(})A(${)108 96 Q F1(par)A
 (ameter)-.15 E F2(%%)A F1(wor)A(d)-.37 E F0(})A(The)144 108 Q F1(wor)
-2.618 E(d)-.37 E F0 .118(is e)2.618 F .119
+2.619 E(d)-.37 E F0 .119(is e)2.619 F .119
 (xpanded to produce a pattern just as in pathname e)-.15 F 2.619
-(xpansion. If)-.15 F .119(the pattern matches a)2.619 F 2.402
-(trailing portion of the e)144 120 R 2.402(xpanded v)-.15 F 2.401
-(alue of)-.25 F F1(par)4.901 E(ameter)-.15 E F0 4.901(,t).73 G 2.401
-(hen the result of the e)-4.901 F 2.401(xpansion is the)-.15 F -.15(ex)
-144 132 S 1.152(panded v).15 F 1.152(alue of)-.25 F F1(par)4.902 E
+(xpansion. If)-.15 F .118(the pattern matches a)2.619 F 2.401
+(trailing portion of the e)144 120 R 2.401(xpanded v)-.15 F 2.401
+(alue of)-.25 F F1(par)4.901 E(ameter)-.15 E F0 4.901(,t).73 G 2.402
+(hen the result of the e)-4.901 F 2.402(xpansion is the)-.15 F -.15(ex)
+144 132 S 1.153(panded v).15 F 1.153(alue of)-.25 F F1(par)4.902 E
 (ameter)-.15 E F0 1.152(with the shortest matching pattern \(the `)4.382
-F(`)-.74 E F2(%)A F0 2.632 -.74('' c)D 1.153(ase\) or the longest).74 F
+F(`)-.74 E F2(%)A F0 2.632 -.74('' c)D 1.152(ase\) or the longest).74 F
 .79(matching pattern \(the `)144 144 R(`)-.74 E F2(%%)A F0 2.27 -.74
 ('' c)D .79(ase\) deleted.).74 F(If)5.79 E F1(par)4.54 E(ameter)-.15 E
 F0(is)4.02 E F2(@)3.29 E F0(or)3.29 E F2(*)3.29 E F0 3.29(,t)C .79
 (he pattern remo)-3.29 F -.25(va)-.15 G 3.29(lo).25 G(pera-)-3.29 E
 1.758(tion is applied to each positional parameter in turn, and the e)
-144 156 R 1.758(xpansion is the resultant list.)-.15 F(If)6.759 E F1
-(par)145.25 168 Q(ameter)-.15 E F0 .089(is an array v)3.319 F .089
+144 156 R 1.758(xpansion is the resultant list.)-.15 F(If)6.758 E F1
+(par)145.25 168 Q(ameter)-.15 E F0 .088(is an array v)3.318 F .089
 (ariable subscripted with)-.25 F F2(@)2.589 E F0(or)2.589 E F2(*)2.589 E
-F0 2.589(,t)C .089(he pattern remo)-2.589 F -.25(va)-.15 G 2.588(lo).25
-G .088(peration is applied to)-2.588 F
+F0 2.589(,t)C .089(he pattern remo)-2.589 F -.25(va)-.15 G 2.589(lo).25
+G .089(peration is applied to)-2.589 F
 (each member of the array in turn, and the e)144 180 Q
 (xpansion is the resultant list.)-.15 E(${)108 196.8 Q F1(par)A(ameter)
 -.15 E F2(/)A F1(pattern)A F2(/)A F1(string)A F0(})A(The)144 208.8 Q F1
